'2009 IDesign Inc. 
'Questions? Comments? go to 
'http://www.idesign.net


Imports Microsoft.VisualBasic
Imports System
Imports System.Drawing
Imports System.Windows.Forms
Imports System.ServiceModel

<ServiceContract> _
Friend Interface IMyEvents
   <OperationContract(IsOneWay := True)> _
   Sub OnEvent1()

   <OperationContract(IsOneWay := True)> _
   Sub OnEvent2(ByVal number As Integer)

   <OperationContract(IsOneWay := True)> _
   Sub OnEvent3(ByVal number As Integer, ByVal text As String)
End Interface

Partial Friend Class MySubscriberForm
	Inherits Form
	Implements IMyEvents
   Private m_Host As ServiceHost

   Public Sub New()
	  InitializeComponent()
   End Sub
   Public Sub OnEvent1() Implements IMyEvents.OnEvent1
	  MessageBox.Show("OnEvent1()","MySubscriber")
   End Sub
   Public Sub OnEvent2(ByVal number As Integer) Implements IMyEvents.OnEvent2
	  MessageBox.Show("OnEvent2()","MySubscriber")
   End Sub
   Public Sub OnEvent3(ByVal number As Integer, ByVal text As String) Implements IMyEvents.OnEvent3
	  MessageBox.Show("OnEvent3()","MySubscriber")
   End Sub

   Private Sub OnSubscribe(ByVal sender As Object, ByVal e As EventArgs) Handles m_SubscribeButtton.Click
	  m_Host = New ServiceHost(GetType(MySubscriber))

	  m_Host.Open()

	  m_UnsubscribeButton.Enabled = True
	  m_SubscribeButtton.Enabled = False
   End Sub
   Private Sub OnUnsubscribe(ByVal sender As Object, ByVal e As EventArgs) Handles m_UnsubscribeButton.Click
	  m_Host.Close()

	  m_UnsubscribeButton.Enabled = False
	  m_SubscribeButtton.Enabled = True
   End Sub
End Class