'2009 IDesign Inc. 
'Questions? Comments? go to 
'http://www.idesign.net


Imports Microsoft.VisualBasic
Imports System
Imports System.ServiceModel
Imports System.ServiceModel.Channels
Imports ServiceModelEx

<ServiceContract> _
Friend Interface IMyEvents
   <OperationContract(IsOneWay := True)> _
   Sub OnEvent1()

   <OperationContract(IsOneWay := True)> _
   Sub OnEvent2(ByVal number As Integer)

   <OperationContract(IsOneWay := True)> _
   Sub OnEvent3(ByVal number As Integer, ByVal text As String)
End Interface

Friend Class MyEventsProxy
	Inherits EventRelayClientBase(Of IMyEvents)
	Implements IMyEvents
   Public Sub New(ByVal baseAddress As String)
	   MyBase.New(baseAddress)
   End Sub

   Public Sub OnEvent1() Implements IMyEvents.OnEvent1
	  Channel.OnEvent1()
   End Sub

   Public Sub OnEvent2(ByVal number As Integer) Implements IMyEvents.OnEvent2
	  Channel.OnEvent2(number)
   End Sub

   Public Sub OnEvent3(ByVal number As Integer, ByVal text As String) Implements IMyEvents.OnEvent3
	  Channel.OnEvent3(number,text)
   End Sub
End Class
