'2009 IDesign Inc. 
'Questions? Comments? go to 
'http://www.idesign.net


Imports Microsoft.VisualBasic
Imports System
Imports System.Windows.Forms
Imports ServiceModelEx

Partial Friend Class MyPublisherForm
	Inherits Form
   Private m_Proxy As MyEventsProxy

   Public Sub New()
	  InitializeComponent()


	  'Can encapsulate in the constructor of MyEventsProxy as well:
	  Dim password As String = "Get this from some login dialog box"
	  Dim serviceCertificate As String = "MyServiceCert"
	  Dim baseAddress As String = "sb://MySolution/servicebus.windows.net/"

	  m_Proxy = New MyEventsProxy(baseAddress)
	  m_Proxy.SetServiceBusPassword(password)
	  m_Proxy.SetServiceCertificate(serviceCertificate)
   End Sub
   Private Sub OnFireEvent(ByVal sender As Object, ByVal e As EventArgs) Handles fireEventButton.Click
	  If m_Event1RadioButton.Checked Then
		 m_Proxy.OnEvent1()
	  End If

	  If m_Event2RadioButton.Checked Then
		 m_Proxy.OnEvent2(42)
	  End If

	  If m_Event3RadioButton.Checked Then
		 m_Proxy.OnEvent3(42,"Hello")
	  End If
   End Sub

   Private Overloads Sub OnClosed(ByVal sender As Object, ByVal e As FormClosedEventArgs) Handles MyBase.FormClosed
	  m_Proxy.Close()
   End Sub
End Class
